CCMCheck (Apache Ant API)
Date: 2016-08-23

org.apache.tools.ant.taskdefs.optional.ccm

## Class CCMCheck

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.tools.ant.taskdefs.optional.ccm.Continuus
      - - org.apache.tools.ant.taskdefs.optional.ccm.CCMCheck

- All Implemented Interfaces:
    java.lang.Cloneable
  Direct Known Subclasses:
    CCMCheckin, CCMCheckinDefault, CCMCheckout

      public class CCMCheck
      extends Continuus

  Class common to all check commands (checkout, checkin,checkin default task);

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Vector` | `filesets`
    `static java.lang.String` | `FLAG_COMMENT` -comment flag -- comment to attach to the file
    `static java.lang.String` | `FLAG_TASK` -task flag -- associate checkout task with task

    - ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus

      `COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_CREATE_TASK, COMMAND_DEFAULT_TASK, COMMAND_RECONFIGURE`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCMCheck()` Constructor for CCMCheck.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFileset(FileSet set)` Adds a set of files to copy.
    `void` | `execute()` Executes the task.
    `java.lang.String` | `getComment()` Get the value of comment.
    `java.io.File` | `getFile()` Get the value of file.
    `java.lang.String` | `getTask()` Get the value of task.
    `void` | `setComment(java.lang.String v)` Specifies a comment.
    `void` | `setFile(java.io.File v)` Sets the path to the file that the command will operate on.
    `void` | `setTask(java.lang.String v)` Specifies the task number used to check in the file (may use 'default').

    - ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.ccm.Continuus

      `getCcmAction, getCcmCommand, run, run, setCcmAction, setCcmDir`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### filesets

          protected java.util.Vector filesets

    - #### FLAG_COMMENT

          public static final java.lang.String FLAG_COMMENT

      -comment flag -- comment to attach to the file
      See Also:
        Constant Field Values

    - #### FLAG_TASK

          public static final java.lang.String FLAG_TASK

      -task flag -- associate checkout task with task
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CCMCheck

          public CCMCheck()

      Constructor for CCMCheck.

  - ### Method Detail

    - #### getFile

          public java.io.File getFile()

      Get the value of file.
      Returns:
        value of file.

    - #### setFile

          public void setFile(java.io.File v)

      Sets the path to the file that the command will operate on.
      Parameters:
        `v` - Value to assign to file.

    - #### getComment

          public java.lang.String getComment()

      Get the value of comment.
      Returns:
        value of comment.

    - #### setComment

          public void setComment(java.lang.String v)

      Specifies a comment.
      Parameters:
        `v` - Value to assign to comment.

    - #### getTask

          public java.lang.String getTask()

      Get the value of task.
      Returns:
        value of task.

    - #### setTask

          public void setTask(java.lang.String v)

      Specifies the task number used to check in the file (may use 'default').
      Parameters:
        `v` - Value to assign to task.

    - #### addFileset

          public void addFileset(FileSet set)

      Adds a set of files to copy.
      Parameters:
        `set` - the set of files

    - #### execute

          public void execute()
                       throws BuildException

      Executes the task.

      Builds a command line to execute ccm and then calls Exec's run method to execute the command line.

      Overrides:
        `execute` in class `Task`
      Throws:
        `BuildException` - on error